The contents of the installation directory should be something like this:

armagetronad.exe | (the main executable)
models | (the directory for the cycle models)
sound | (the directory for sound files)
textures | (the directory for textures and the icon)
resources | (the directory for maps)
doc | (the documentation you are just reading)
language | (the game's text messages)
config | (static configuration files)

Additionally, if you installed the moviepack/moviesounds from the addons page, you'll see the two directories

moviepack
moviesounds

containing ONLY files and no subdirectories.

### Command line switches

-h, +h, --help | get help and other available command line options
-v, +v, --version | print version number
--datadir | systemwide data directory; read game data (textures, sounds and text) from this directory.
--userdatadir | user data dir; try to read all game data from this directory first.
--configdir | read game configuration (.cfg-files) from this directory.
--userconfigdir | user configuration directory; try to read the configuration from here first.
--vardir | save game logs, highscores and user configuration in this directory.
-f, +f, --fullscreen | start in fullscreen mode
-w, +w, --window, --windowed | start in windowed mode
-d, +d, --daemon | allow the dedicated server to run as a daemon (will not poll for input on stdin)

The various directories you can set have the following impact on how the game loads and saves files. (Usually, you don't have to bother about it; there are reasonable defaults. But if you want to do some meddling with the data, these options are your ticket.)

#### Data

Sounds, textures and models will be first looked for in the directory specified with --userdatadir. If they are not found there or if --userdatadir was not used, they are looked for in the directory specified with --datadir. This directory defaults to the current directory if not specified.

#### Configuration

(I'll leave out the bits about "if option xxx is not set" from now on ) Configuration files are first looked for in --userconfigdir, then --userdatadir/config ( the dir passed to --userdatadir, appended with /config ), then --configdir and finally --datadir/config.

#### Logs and user configuration

Log files ( game results, the settings made in the in game menu ) are loaded from --vardir, then, if not found there, from --userdatadir/var and finally from --datadir/var. They are only saved in the first of these directories that was specified.